Get product by ID
curl --request GET \
--url https://apix.us.amity.co/api/v1/products/{productId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://apix.us.amity.co/api/v1/products/{productId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://apix.us.amity.co/api/v1/products/{productId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"data": {
"_id": "64a1b2c3d4e5f6g7h8i9j0k1",
"productId": "prod-12345",
"networkId": "network-abc123",
"productName": "Premium Headphones",
"productUrl": "https://example.com/products/premium-headphones",
"status": "active",
"price": 99.99,
"currency": "USD",
"thumbnailUrl": "https://example.com/images/headphones-thumb.jpg",
"thumbnailMode": "fit",
"importSource": "manual",
"createdBy": "user-xyz789",
"updatedBy": "user-xyz789",
"createdAt": "2024-01-15T10:30:00.000Z",
"updatedAt": "2024-01-15T10:30:00.000Z",
"isDeleted": false
}
}{
"status": "error",
"code": 400400,
"message": "Resource Not Found."
}{
"status": "error",
"code": 500000,
"message": "Unexpected error"
}Product
Get product by ID
Retrieve a single product by its product ID.
Access Control:
- All authenticated users can view products
GET
/
api
/
v1
/
products
/
{productId}
Get product by ID
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The unique identifier of the product
Required string length:
1 - 100⌘I